List Environments
1 min
GET
https://api.optimizely.com/flags/v1//projects/{project_id}/environments
Path Parameters
- project_idintegerrequiredExampleDescription
Query Parameters
- per_pageinteger<int64>DescriptionFormatint64
- page_tokenstringDescription
- page_windowintegerDescription
- archivedbooleanDescription
- sortstring[]Description
Responses
200
- Environments
- countintegerrequiredExampleDescription
- filter_urlobjectDescription
- UrlValue
- first_urlobjectrequiredDescription
- UrlValue
- itemsEnvironment[]required
- account_idinteger<int64>DescriptionFormatint64
- archivedbooleanrequired
- idinteger<int64>DescriptionFormatint64
- keystringrequiredExampleDescriptionMax Length64Pattern^[a-zA-Z0-9_\-]+$
- namestringrequiredExampleDescription
- priorityintegerrequiredExampleDescription
- project_idinteger<int64>requiredDescriptionFormatint64
- revisionintegerDescription
- rolestringExampleDescription
- last_urlobjectrequiredDescription
- UrlValue
- next_urlobjectDescription
- UrlList
- pageintegerrequiredExampleDescription
- prev_urlobjectDescription
- UrlList
- reset_urlobjectDescription
- UrlValue
- total_countintegerrequiredExampleDescription
- total_pagesintegerrequiredExampleDescription
- urlobjectrequiredDescription
- UrlValue
400
401
403
curl
curl --request GET \
--url https://api.optimizely.com/flags/v1//projects/{project_id}/environments \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.optimizely.com/flags/v1//projects/{project_id}/environments", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.optimizely.com/flags/v1//projects/{project_id}/environments")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.optimizely.com/flags/v1//projects/{project_id}/environments"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful retrieval of a page of Environments.
The response includes RESTful JSON (https://restfuljson.org/) styled links and pagination metadata.
Objects in this API MAY include a url property for a link to itself and MAY append _url to properties for related links.
If a link is not present in the response, it indicates a user is not authorized to access the related resource.
{
"count": 2,
"filter_url": {},
"first_url": {},
"items": [
{
"account_id": "",
"archived": false,
"id": "",
"key": "production",
"name": "Production",
"priority": 1,
"project_id": "",
"revision": 0,
"role": "admin"
}
],
"last_url": {},
"next_url": {},
"page": 5,
"prev_url": {},
"reset_url": {},
"total_count": 20,
"total_pages": 10,
"url": {}
}400
// Malformed requests and invalid parameter names and types
401
// Invalid credentials
403
// Do not have permission to perform the operation